Ruby Build a Todo List Application with Rails 4 Build a Todo List Application with Rails 4 Set up Git and Add Gems

Loi Tran
Loi Tran
9,053 Points

I keep getting an error message when trying to install rspec:

That's a link to the error message I'm getting, I took a picture so you can see that I typed in correctly. http://imgur.com/P621e14 "Lois-MacBook-Pro:odot Lois$ bin/rails generate rspect:install Warning: You're using Rubygems 2.0.14 with Spring. Upgrade to at least Rubygems 2.1.0 and run gem pristine --all for better startup performance. Could not find gem 'rspect-rails (~> 2.0)' in any of the gem sources listed in your Gemfile or available on this machine. Run bundle install to install missing gems. " Any ideas...? I tried reinstalled both the bundler and rails

5 Answers

Should you be typing rspec not rspect? What's in your Gemfile?

Steve.

Loi Tran
Loi Tran
9,053 Points

I did notice a few things I accidentally typoed while doing this. Is there anyway to reinstall rails fresh? I may have typoed when we were naming directories?

Loi Tran
Loi Tran
9,053 Points

for example. although I got pass this part of my troubleshooting. Now I'm registering an entirely new error message that I can't get by. =(~!

What error are you getting now - I might be able to help if you post the error and the code it relates to.

Steve.